Package ghidra.app.script

# Class UnsupportedScriptProvider

java.lang.Object
ghidra.app.script.GhidraScriptProvider
ghidra.app.script.UnsupportedScriptProvider

All Implemented Interfaces:
  `ExtensionPoint`, `Comparable<GhidraScriptProvider>`

public class UnsupportedScriptProvider extends GhidraScriptProvider
A stub provider for unsupported scripts. These will typically be scripts with supported extensions but unsupported `ScriptInfo.AT_RUNTIME` tags.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnsupportedScriptProvider()`
  `UnsupportedScriptProvider(GhidraScriptProvider baseProvider)`
  Creates a new `UnsupportedScriptProvider` that is derived from the given base provider.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createNewScript(ResourceFile newScript, String category)`
  Creates a new script using the specified file.
  `Pattern`
  `getBlockCommentEnd()`
  Returns a Pattern that matches block comment closings.
  `Pattern`
  `getBlockCommentStart()`
  Returns a Pattern that matches block comment openings.
  `protected String`
  `getCertificationBodyPrefix()`
  Return the prefix for each certification header body line if this file is subject to certification.
  `protected String`
  `getCertifyHeaderEnd()`
  Return the end of certification header line if this file type is subject to certification.
  `protected String`
  `getCertifyHeaderStart()`
  Return the start of certification header line if this file type is subject to certification.
  `String`
  `getCommentCharacter()`
  Returns the comment character.
  `String`
  `getDescription()`
  Returns a description for this type of script.
  `String`
  `getExtension()`
  Returns the file extension for this type of script.
  `GhidraScript`
  `getScriptInstance(ResourceFile sourceFile, PrintWriter writer)`
  Returns a GhidraScript instance for the specified source file.

  ### Methods inherited from class ghidra.app.script.GhidraScriptProvider

  `compareTo, deleteScript, equals, fixupName, getRuntimeEnvironmentName, hashCode, toString, writeBody, writeHeader`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnsupportedScriptProvider

    public UnsupportedScriptProvider()

  - ### UnsupportedScriptProvider

    public UnsupportedScriptProvider(GhidraScriptProvider baseProvider)
    Creates a new `UnsupportedScriptProvider` that is derived from the given base provider. The base provider is any provider with a compatible extension, but without the required `ScriptInfo.AT_RUNTIME` tag.
    Parameters:
      `baseProvider` - The base `GhidraScriptProvider`

- ## Method Details

  - ### getDescription

    public String getDescription()
    Description copied from class: `GhidraScriptProvider`
    Returns a description for this type of script.
    Specified by:
      `getDescription` in class `GhidraScriptProvider`
    Returns:
      a description for this type of script

  - ### getExtension

    public String getExtension()
    Description copied from class: `GhidraScriptProvider`
    Returns the file extension for this type of script.

    For example, ".java" or ".py".

    Specified by:
      `getExtension` in class `GhidraScriptProvider`
    Returns:
      the file extension for this type of script

  - ### getScriptInstance

    public GhidraScript getScriptInstance(ResourceFile sourceFile, PrintWriter writer) throws GhidraScriptLoadException
    Description copied from class: `GhidraScriptProvider`
    Returns a GhidraScript instance for the specified source file.
    Specified by:
      `getScriptInstance` in class `GhidraScriptProvider`
    Parameters:
      `sourceFile` - the source file
      `writer` - the print writer to write warning/error messages. If the error prevents success, throw an exception instead. The caller will print the error.
    Returns:
      a GhidraScript instance for the specified source file
    Throws:
      `GhidraScriptLoadException` - when the script instance cannot be created

  - ### createNewScript

    public void createNewScript(ResourceFile newScript, String category) throws IOException
    Description copied from class: `GhidraScriptProvider`
    Creates a new script using the specified file.
    Specified by:
      `createNewScript` in class `GhidraScriptProvider`
    Parameters:
      `newScript` - the new script file
      `category` - the script category
    Throws:
      `IOException` - if an error occurs writing the file

  - ### getCommentCharacter

    public String getCommentCharacter()
    Description copied from class: `GhidraScriptProvider`
    Returns the comment character.

    For example, "//" or "#".

    Specified by:
      `getCommentCharacter` in class `GhidraScriptProvider`
    Returns:
      the comment character

  - ### getBlockCommentStart

    public Pattern getBlockCommentStart()
    Description copied from class: `GhidraScriptProvider`
    Returns a Pattern that matches block comment openings.

    If block comments are not supported by this provider, then this returns null.

    Overrides:
      `getBlockCommentStart` in class `GhidraScriptProvider`
    Returns:
      the Pattern for block comment openings, null if block comments are not supported

  - ### getBlockCommentEnd

    public Pattern getBlockCommentEnd()
    Description copied from class: `GhidraScriptProvider`
    Returns a Pattern that matches block comment closings.

    If block comments are not supported by this provider, then this returns null.

    Overrides:
      `getBlockCommentEnd` in class `GhidraScriptProvider`
    Returns:
      the Pattern for block comment closings, null if block comments are not supported

  - ### getCertifyHeaderStart

    protected String getCertifyHeaderStart()
    Description copied from class: `GhidraScriptProvider`
    Return the start of certification header line if this file type is subject to certification.
    Overrides:
      `getCertifyHeaderStart` in class `GhidraScriptProvider`
    Returns:
      start of certification header or null if not supported

  - ### getCertificationBodyPrefix

    protected String getCertificationBodyPrefix()
    Description copied from class: `GhidraScriptProvider`
    Return the prefix for each certification header body line if this file is subject to certification.
    Overrides:
      `getCertificationBodyPrefix` in class `GhidraScriptProvider`
    Returns:
      certification header body prefix or null if not supported

  - ### getCertifyHeaderEnd

    protected String getCertifyHeaderEnd()
    Description copied from class: `GhidraScriptProvider`
    Return the end of certification header line if this file type is subject to certification.
    Overrides:
      `getCertifyHeaderEnd` in class `GhidraScriptProvider`
    Returns:
      end of certification header or null if not supported